Bug 171404 - Cannot write cd with cdrecord and xcdroast
Cannot write cd with cdrecord and xcdroast
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
: 171402 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-21 11:49 EDT by Benoit Charbonneau
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: xcdroast-0.98a15-12.2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-31 03:42:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error Message (927 bytes, text/plain)
2005-10-21 11:50 EDT, Benoit Charbonneau
no flags Details

  None (edit)
Description Benoit Charbonneau 2005-10-21 11:49:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
I can write a CD when I am root but it does not work when I am a regular user.  

I'm using xcdroast version 0.98alpha15-1, cdrecord version 2.01.1-9.0.FC4.1 and kernel  2.6.13-1.1526_FC4smp and I have activated the non-root mode in xcdroast.

My drive is a LG DVD+RW ( model DVDRAM GSA-4163B Rev. A102 )

When I click on the "Master and write on the fly" button and I get the following error message from cdrecord ( see attachement for the full error message ):

cdrecord: Cannot allocate memory. Cannot get SCSI I/O buffer.



Version-Release number of selected component (if applicable):
cdrecord-2.01.1-9.0.FC4.1

How reproducible:
Always

Steps to Reproduce:
1. Open xcdroast
2. Click on "Create CD/DVD"
3. Click on "Master track"
4. add files
5. Click on "create session/image"
6. Click on "Master and write on the fly"
  

Actual Results:  Error writing track ( see attachement for the complete error message )

Expected Results:  When I am doing this log in as root, everything is working fine the track is burned on the cd.

Additional info:

Everything was working when I was using Fedora Core 2
Comment 1 Benoit Charbonneau 2005-10-21 11:50:31 EDT
Created attachment 120260 [details]
Error Message
Comment 2 Harald Hoyer 2005-10-24 08:24:26 EDT
*** Bug 171402 has been marked as a duplicate of this bug. ***
Comment 3 Harald Hoyer 2005-10-24 08:49:22 EDT
"I have activated the non-root mode", what do you mean by that?
Comment 4 Benoit Charbonneau 2005-10-24 09:39:55 EDT
I activated the "non-root mode" in xcdroast to be able to burn cd as regular 
user.  

The "on root mode" does the following command:
/bin/chown root /usr/lib/xcdroast-0.98/bin/xcdrwrap
/bin/chmod 4755 /usr/lib/xcdroast-0.98/bin/xcdrwrap

If you want to activate de non rot mode in xcdroast go in:

1. Setup
2. Click on the users tab
3. Click on "Change non-root configuration"
4. Click on "Activate non-root mode"



Comment 5 Richard Bonomo 2006-06-01 22:28:02 EDT
I have also discoved that cdrecord will not work if I am running it as a normal user **even if the 
program is set UID to root!!
Here is a short snippet of output:
TOC Type: 1 = CD-ROM
scsidev: 'ATA:1,1,0'
devname: 'ATA'
scsibus: 1 target: 1 lun: 0
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
/usr/local/bin/cdrecordlocal: Warning: using inofficial libscg transport code version (schily - Red Hat-
scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c      1.83 04/05/20 Copyright 1997 J. Schilling').
SCSI buffer size: 64512
/usr/local/bin/cdrecordlocal: Cannot allocate memory. Cannot get SCSI I/O buffer.

If I become root, then it runs to completion.  
Comment 6 P Jones 2006-10-08 19:12:11 EDT
I can't burn a CD using cdrecord or Gnomebaker unless I do it as root. This is
on FC5 by the way.
Comment 7 Richard Bonomo 2006-11-01 16:39:41 EST
Is anybody working on this?
Comment 8 Christian Iseli 2007-01-22 05:20:16 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 9 Richard Bonomo 2007-01-23 00:07:35 EST
As I have been laid off from my sysadmin job as of 11/30/2006 due to 
a funding shortfall (a little over a year since this bug was first
reported), I am not in a position to submit additional information, and
have removed myself from the cc list.  I hope the others involved can
follow up.
Comment 10 Benoit Charbonneau 2007-01-30 15:10:33 EST
I made a test on Fedora Core 6 and everything was ok!

Note You need to log in before you can comment on or make changes to this bug.